Suggest operations for a blotter line
curl --request GET \
--url https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Mesas
Suggest operations for a blotter line
Company-wide ranked matches for one fabricated blotter line (exact / fx_close / net_quote / usd_leg). Does not filter by MesaAccount. Optional q searches the same ART day. Suggestions are not applied until PUT /links. elsewhereByOperation lists other rows that already reference the same op (allowed; UI should warn).
GET
/
api
/
mesas
/
{id}
/
lines
/
{lineId}
/
link-suggestions
Suggest operations for a blotter line
curl --request GET \
--url https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/lines/{lineId}/link-suggestions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)